UpdateInstance
PUT
/api/sites/{siteId}/instances/{instanceId}
const url = 'https://demo.consystence.com/api/sites/example/instances/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","assetNumber":"example","typeVersion":"example","controllerId":"example","area":"example","tagMappings":{"additionalProperty":"example"},"config":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://demo.consystence.com/api/sites/example/instances/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "assetNumber": "example", "typeVersion": "example", "controllerId": "example", "area": "example", "tagMappings": { "additionalProperty": "example" }, "config": { "additionalProperty": "example" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”siteId
required
string
instanceId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
assetNumber
string
typeVersion
string
controllerId
string
area
string
tagMappings
object
key
additional properties
string
config
object
key
additional properties
Examplegenerated
{ "name": "example", "assetNumber": "example", "typeVersion": "example", "controllerId": "example", "area": "example", "tagMappings": { "additionalProperty": "example" }, "config": { "additionalProperty": "example" }}Responses
Section titled “Responses”OK